﻿using UnityEngine;
using System.Collections;
using InControl;

public class ControllerDebug : MonoBehaviour {

	void OnGUI()
	{
		int textHeight = 100;
		for(int i = 0; i < InputManager.Devices.Count; ++i)
		{
			InputDevice device = InputManager.Devices[i];
			InputControl leftStickX = device.GetControl (InputControlType.LeftStickX);
			InputControl leftStickY = device.GetControl (InputControlType.LeftStickY);
			InputControl rightStickX = device.GetControl (InputControlType.RightStickX);
			InputControl rightStickY = device.GetControl (InputControlType.RightStickY);
			InputControl leftTrigger = device.GetControl(InputControlType.LeftTrigger);
			InputControl rightTrigger = device.GetControl(InputControlType.RightTrigger);
			InputControl actionButton1 = device.GetControl(InputControlType.Action1);
			GUI.Label(new Rect(0, i*textHeight, Screen.width, textHeight), "Device " + i +
			          "\nleft stick = (" + leftStickX.Value + ", " + leftStickY.Value + ")\nright stick = (" + rightStickX.Value + ", " + rightStickY.Value +
			          ")\nleftTrigger = " + leftTrigger.Value + "\nrightTrigger = " + rightTrigger.Value +
			          "\nactionButton1 = " + actionButton1.Value + "\n");
		}
	}
}
