﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class Lives : MonoBehaviour {

	public static int m_lives = 3;

	public int m_startLives = 3;
	public float m_width = 50.0f;
	public float m_height = 20.0f;
	public Text m_livesText;
	public TextAnimation m_textAnim;

	public bool IsDead { get { return 0 >= m_lives; } }

	public void SubtractLife()
	{
		m_lives--;
		UpdateLivesUI ();
	}
	
	public void Kill()
	{
		m_lives = 0;
		UpdateLivesUI ();
	}

	void GameOver()
	{
		m_livesText.gameObject.SetActive (false);
	}
	
	void ResetGame()
	{
		m_lives = m_startLives;
		m_livesText.gameObject.SetActive (true);
		UpdateLivesUI ();
	}

	void UpdateLivesUI()
	{
		m_livesText.text = "Lives: " + m_lives;
	}
}
