﻿using UnityEngine;
using System.Collections;
using InControl;

public static class InputUtils {

	static public void GetStickXY(InputDevice device, out float x, out float y)
	{
		InputControl leftStickX = device.GetControl (InputControlType.LeftStickX);
		InputControl leftStickY = device.GetControl (InputControlType.LeftStickY);
		InputControl rightStickX = device.GetControl (InputControlType.RightStickX);
		InputControl rightStickY = device.GetControl (InputControlType.RightStickY);
		
		InputControl activeStickX = leftStickX;
		InputControl activeStickY = leftStickY;
		if(0.0f == leftStickX.Value && 0.0f == leftStickY.Value)
		{
			activeStickX = rightStickX;
			activeStickY = rightStickY;
		}

		x = activeStickX.Value;
		y = activeStickY.Value;
	}

	static public bool AnyButtonPressed()
	{
		for(int i = 0; i < InputManager.Devices.Count; ++i)
		{
			InputDevice device = InputManager.Devices[i];
			if(device.AnyButton)
			{
				return true;
			}
		}

		return false;
	}
}
