﻿using UnityEngine;
using System.Collections;

public class AttachedExplosion : MonoBehaviour {
	
	public GameObject m_explosionPrefab;

	private GameObject m_explosionInstance;

	void Start()
	{
		// Create the explosion.
		m_explosionInstance = Instantiate(m_explosionPrefab) as GameObject;
		Transform m_explosionInstanceT = m_explosionInstance.transform;
		m_explosionInstanceT.parent = null;
		m_explosionInstanceT.position = Vector2.zero;
		m_explosionInstance.SetActive(false);
	}
	
	void OnDestroy()
	{
		GameObject.Destroy(m_explosionInstance);
	}

	public void Fire(Vector3 pos)
	{
		m_explosionInstance.transform.position = pos;
		m_explosionInstance.SetActive (true);
	}

	public void Hide()
	{
		m_explosionInstance.SetActive (false);
	}
}
