﻿using UnityEngine;
using System.Collections;

public class Missile : MonoBehaviour {

	public float m_lifeTime = 2.0f;
	public GameObject m_explosion;
	public Rigidbody2D m_rigidbody;

	private float m_timer = 0.0f;

	void OnEnable()
	{
		m_timer = m_lifeTime;
	}
	
	// Update is called once per frame
	void Update ()
	{
		m_timer -= Time.deltaTime;
		if(0 >= m_timer)
		{
			this.gameObject.SetActive(false);
		}
	}

	void OnCollisionEnter2D(Collision2D collision)
	{
		Asteroid asteroid = collision.gameObject.GetComponent<Asteroid> ();
		if(asteroid)
		{
			asteroid.Shoot();
		}
		m_explosion.transform.position = transform.position;
		m_explosion.SetActive (true);
		this.gameObject.SetActive(false);
	}

	void ResetGame()
	{
		this.gameObject.SetActive(false);
	}
}
